package com.ruoyi.web.plotmanage.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小区管理对象 ad_plot
 *
 * @author cyx
 * @date 2022-11-23
 */
public class AdPlot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String plotname;

    /** 上架时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上架时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updata;

    /** 是否上架 */
    @Excel(name = "是否上架")
    private String added;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setPlotname(String plotname)
    {
        this.plotname = plotname;
    }

    public String getPlotname()
    {
        return plotname;
    }
    public void setUpdata(Date updata)
    {
        this.updata = updata;
    }

    public Date getUpdata()
    {
        return updata;
    }

    public String getAdded() {
        return added;
    }

    public void setAdded(String added) {
        this.added = added;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plotname", getPlotname())
                .append("updata", getUpdata())
                .append("added", getAdded())
                .toString();
    }
}